Get Session Context
curl --request GET \
--url https://api.example.com/api/playground/sessions/{session_id}/context \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/playground/sessions/{session_id}/context"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/playground/sessions/{session_id}/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"linked_dataset": {
"id": "<string>",
"numeric_id": 123,
"name": "<string>",
"type": "<string>",
"status": "<string>",
"severity": "<string>",
"class_count": 123,
"classes": [],
"vulnerabilities": 123,
"vulnerability_types": "<string>",
"size_bytes": 123,
"last_scan_at": "<string>"
},
"structure_profile": {
"profile_id": 123,
"profile_version": 123,
"profile_status": "<string>",
"suggested_target_column": "<string>",
"suggested_protected_columns": [],
"suggested_path_column": "<string>",
"classes": [],
"summary": {}
},
"scans": [],
"top_findings": [],
"active_shortcut_count": 0,
"guidance_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}playground-integrations
Get Session Context
Return everything the playground knows about this session’s parent dataset.
Safe to call regardless of whether the session actually came from a dataset — returns an empty context for ad-hoc sessions.
GET
/
api
/
playground
/
sessions
/
{session_id}
/
context
Get Session Context
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Cookies
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

